{ config, name, ... }:
{
  boot.initrd.luks.devices."${name}-disk".device = "/dev/disk/by-uuid/0fc43c11-c382-4e37-812b-8866b1b20e68";

  fileSystems = {
    "/boot" = {
      device = "/dev/disk/by-uuid/FA96-EF11";
      fsType = "vfat";
      options = [ "umask=0077" ];
    };

    "/" = {
      device = "/dev/disk/by-uuid/bbaf733b-14af-417b-b1c8-2f0534995483";
      fsType = "btrfs";
      options = [
        "compress=zstd"
        "ssd"
        "subvol=root"
      ];
    };
    "/prev" = {
      device = "/dev/disk/by-uuid/bbaf733b-14af-417b-b1c8-2f0534995483";
      fsType = "btrfs";
      options = [
        "compress=zstd"
        "noexec"
        "ssd"
        "subvol=prev"
      ];
    };
    "/nix" = {
      device = "/dev/disk/by-uuid/bbaf733b-14af-417b-b1c8-2f0534995483";
      fsType = "btrfs";
      options = [
        "compress=zstd"
        "ssd"
        "subvol=nix"
      ];
    };

    "/persist" = {
      device = "/dev/disk/by-uuid/bbaf733b-14af-417b-b1c8-2f0534995483";
      fsType = "btrfs";
      neededForBoot = true;
      options = [
        "compress=zstd"
        "ssd"
        "subvol=persist"
      ];
    };
  };

  swapDevices = [ { device = "/dev/disk/by-uuid/93ac8c5c-c947-4b45-a12a-146e87398517"; } ];
}
